"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var uuid_1 = require("uuid");
var system_document_model_1 = require("./system-document.model");
var LadAccountSecurityModel = /** @class */ (function (_super) {
    tslib_1.__extends(LadAccountSecurityModel, _super);
    function LadAccountSecurityModel(accountId, authKey) {
        var _this = _super.call(this, 'LadAccountSecurityModel', 'ladrov') || this;
        _this.accountId = accountId;
        _this.authKey = authKey;
        _this.accountVerified = true;
        _this.documentId = accountId;
        _this.emailConfirmKey = uuid_1.v4().split('-')[0];
        return _this;
    }
    return LadAccountSecurityModel;
}(system_document_model_1.SystemDocument));
exports.LadAccountSecurityModel = LadAccountSecurityModel;
//# sourceMappingURL=lad-account-security.model.js.map