import { SystemDocument } from './system-document.model';
import { LadUploadedAsset } from "./lad-uploaded-asset";
import { LadDate } from "./lad-date";
export declare class LadAccountModel extends SystemDocument {
    name?: string;
    lastName: string;
    firstName: string;
    username?: string;
    facebookId?: string;
    thirdPartyId?: string;
    thirdPartyProvider?: string;
    mobileNo?: string;
    email?: string;
    portrait?: LadUploadedAsset;
    portraitUrl?: string;
    joined: LadDate;
    origin?: string;
    publicMainPage?: string;
    static getPhoneSignificantDigits(contactNumber: string): string;
    constructor();
}
