"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var system_document_model_1 = require("./system-document.model");
var LadNumberIncrement = /** @class */ (function () {
    function LadNumberIncrement() {
        // unique id for this number increment
        this.ladNumberIncrementId = 'defaultIncrement';
        // during creation of the incrementId, use this as start value
        this.startValue = 0;
        // if zero or null/undefined, use the next increment value
        this.value = 0;
    }
    return LadNumberIncrement;
}());
exports.LadNumberIncrement = LadNumberIncrement;
var LadIncrementRecordModel = /** @class */ (function (_super) {
    tslib_1.__extends(LadIncrementRecordModel, _super);
    function LadIncrementRecordModel(ladNumberIncrementId) {
        var _this = _super.call(this, LadIncrementRecordModel.MODEL_NAME) || this;
        _this.ladNumberIncrementId = ladNumberIncrementId;
        _this.currentValue = 1;
        return _this;
    }
    LadIncrementRecordModel.MODEL_NAME = 'LadIncrementRecordModel';
    return LadIncrementRecordModel;
}(system_document_model_1.SystemDocument));
exports.LadIncrementRecordModel = LadIncrementRecordModel;
//# sourceMappingURL=lad-number-increment.js.map