"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __1 = require("..");
var APIFunctionTypes;
(function (APIFunctionTypes) {
    APIFunctionTypes["PRIVATE"] = "private";
    APIFunctionTypes["PUBLIC"] = "public";
    APIFunctionTypes["POST_SAVE"] = "postSave";
    APIFunctionTypes["PRE_SAVE"] = "preSave";
    APIFunctionTypes["POST_DELETE"] = "postDelete";
    APIFunctionTypes["PRE_DELETE"] = "preDelete";
    APIFunctionTypes["CREATE_RULE"] = "create";
    APIFunctionTypes["READ_RULE"] = "read";
    APIFunctionTypes["UPDATE_RULE"] = "update";
    APIFunctionTypes["DELETE_RULE"] = "delete";
})(APIFunctionTypes = exports.APIFunctionTypes || (exports.APIFunctionTypes = {}));
var APIFunctionEntry = /** @class */ (function () {
    function APIFunctionEntry() {
    }
    return APIFunctionEntry;
}());
exports.APIFunctionEntry = APIFunctionEntry;
var DocumentModuleEntry = /** @class */ (function () {
    function DocumentModuleEntry(model) {
        this.model = model;
        this.api = [];
    }
    return DocumentModuleEntry;
}());
exports.DocumentModuleEntry = DocumentModuleEntry;
var AccessType;
(function (AccessType) {
    AccessType["READ"] = "read";
    AccessType["WRITE"] = "write";
    AccessType["DELETE"] = "delete";
})(AccessType = exports.AccessType || (exports.AccessType = {}));
var LadAPIUtils = /** @class */ (function () {
    function LadAPIUtils() {
    }
    return LadAPIUtils;
}());
exports.LadAPIUtils = LadAPIUtils;
// will return the last 10 digits
function checkMobileNo(mobileNoStr) {
    mobileNoStr = __1.LadAccountModel.getPhoneSignificantDigits(mobileNoStr);
    if (!mobileNoStr) {
        throw new __1.InvalidRequestError('Invalid mobile number');
    }
    return mobileNoStr;
}
exports.checkMobileNo = checkMobileNo;
//# sourceMappingURL=lad-api-utils.js.map