"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var system_document_model_1 = require("./system-document.model");
var lad_date_1 = require("./lad-date");
var LadAccountModel = /** @class */ (function (_super) {
    tslib_1.__extends(LadAccountModel, _super);
    function LadAccountModel() {
        var _this = _super.call(this, 'LadAccountModel', 'ladrov') || this;
        _this.joined = new lad_date_1.LadDate();
        return _this;
    }
    LadAccountModel.getPhoneSignificantDigits = function (contactNumber) {
        var result = contactNumber ? contactNumber.substr(-10) : null;
        if (result && result.length < 10) {
            result = null;
        }
        return result;
    };
    return LadAccountModel;
}(system_document_model_1.SystemDocument));
exports.LadAccountModel = LadAccountModel;
//# sourceMappingURL=lad-account.model.js.map