export declare class LadDate {
    date: Date;
    year: number;
    month: number;
    day: number;
    hour: number;
    minute: number;
    seconds: number;
    timestamp: number;
    constructor(date?: Date);
    /**
     * Checks if the current date is equal to another date.
     */
    equals(other?: LadDate | null): boolean;
    /**
     * Checks if the current date is before another date.
     */
    before(other?: LadDate | null): boolean;
    /**
     * Checks if the current date is after another date.
     */
    after(other?: LadDate | null): boolean;
}
export declare class LadTime {
    hour: number;
    minute: number;
    second: number;
    static isAfterGivenTime(date: Date, ladTime: LadTime): boolean;
}
