"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// from ngbdate
var LadDate = /** @class */ (function () {
    function LadDate(date) {
        if (date === void 0) { date = new Date(); }
        this.date = date;
        this.year = date.getFullYear();
        this.month = date.getMonth() + 1;
        this.day = date.getDate();
        this.hour = date.getHours();
        this.minute = date.getMinutes();
        this.seconds = date.getSeconds();
        this.timestamp = date.getTime();
    }
    /**
     * Checks if the current date is equal to another date.
     */
    LadDate.prototype.equals = function (other) {
        return other != null && this.year === other.year && this.month === other.month && this.day === other.day;
    };
    /**
     * Checks if the current date is before another date.
     */
    LadDate.prototype.before = function (other) {
        if (!other) {
            return false;
        }
        if (this.year === other.year) {
            if (this.month === other.month) {
                return this.day === other.day ? false : this.day < other.day;
            }
            else {
                return this.month < other.month;
            }
        }
        else {
            return this.year < other.year;
        }
    };
    /**
     * Checks if the current date is after another date.
     */
    LadDate.prototype.after = function (other) {
        if (!other) {
            return false;
        }
        if (this.year === other.year) {
            if (this.month === other.month) {
                return this.day === other.day ? false : this.day > other.day;
            }
            else {
                return this.month > other.month;
            }
        }
        else {
            return this.year > other.year;
        }
    };
    return LadDate;
}());
exports.LadDate = LadDate;
// from ngbdate
var LadTime = /** @class */ (function () {
    function LadTime() {
    }
    LadTime.isAfterGivenTime = function (date, ladTime) {
        var ladDate = new Date();
        ladDate.setHours(ladTime.hour, ladTime.minute, ladTime.second);
        return date.getTime() > ladDate.getTime();
    };
    return LadTime;
}());
exports.LadTime = LadTime;
//# sourceMappingURL=lad-date.js.map